package com.tofly.ghrq_route.module.planPointRepair.controller;

import com.tofly.ghrq_route.module.planPointRepair.domain.MaintainAdjustParam;
import com.tofly.ghrq_route.module.planPointRepair.domain.MaintainCommonParam;
import com.tofly.ghrq_route.module.planPointRepair.domain.NFCInfoBean;
import com.tofly.ghrq_route.module.planPointRepair.domain.PlanPointRepair;

import java.util.List;

/**
 * Created by Amu on 2017/6/5.
 */

public class PointRepairCallBack implements IPointRepairCallBack {

    @Override
    public void onGetData(boolean isSuccess, int errorCode, String errMsg, Object data) {

    }

    @Override
    public void onGetDatas(boolean isSuccess, int errorCode, String errMsg, List dataList, int total) {

    }

    @Override
    public void onSetData(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onAddPointRepair(boolean isSuccess, int errorCode, String errMsg, PlanPointRepair pointRepair) {

    }

    @Override
    public void onGetPointRepairList(boolean isSuccess, int errorCode, String errMsg, List<PlanPointRepair> repairList, int total) {

    }

    @Override
    public void onRemovePointRepair(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onUpdatePointRepair(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetPointRepairInfo(boolean isSuccess, int errorCode, String errMsg, PlanPointRepair pointRepair) {

    }

    @Override
    public void onAddPointChildRepair(boolean isSuccess, int errorCode, String errMsg/*, String repairid*/) {

    }

    @Override
    public void onGetPointChildRepairList(boolean isSuccess, int errorCode, String errMsg, List<PlanPointRepair> repairList, int total) {

    }

    @Override
    public void onRemovePointChildRepair(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetAdjustDeviceSettingList(boolean isSuccess, int errorCode, String errMsg, List<MaintainAdjustParam> paramList, int total) {

    }

    @Override
    public void onGetCommonDeviceSettingList(boolean isSuccess, int errorCode, String errMsg, List<MaintainCommonParam> paramList, int total) {

    }

    @Override
    public void onGetRepairNFCInfo(boolean isSuccess, int errorCode, String errMsg, NFCInfoBean nfcInfo) {

    }
}
